mallow docs

Update listing

POST
/v2/tx/fixed-price/update

Builds a transaction changing the price of seller's listing of asset to newPrice. Nothing else about the listing changes; to change anything else, cancel it and list again.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Reprices an existing listing. Nothing else changes — currency, timing, edition limit and whitelist configuration are preserved.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/tx/fixed-price/update" \  -H "Content-Type: application/json" \  -d '{    "seller": "string",    "asset": "string",    "newPrice": 1  }'
{  "result": {    "tx": "string"  }}